GCalc.ExpressionContainer – GCalc-2 Reference Manual

# ExpressionContainer

## Object Hierarchy:

## Description:

public class ExpressionContainer : ArrayList<MathExpression>, ListModel

An expression container implementing GLib.ListModel

Namespace: GCalc
Package: GCalc-2

## Content:

### Properties:

- public unowned MathExpression parent { get; set; }

### Creation methods:

- public ExpressionContainer ()

### Methods:

- public override bool add (MathExpression exp)
- public MathExpression? find (MathExpression exp)
- public MathExpression? find_named (string name)
- public Object? get_item (uint position)
- public Type get_item_type ()
- public uint get_n_items ()
- public Object? get_object (uint position)
- public override bool remove (MathExpression exp)
- public override MathExpression remove_at (int index)

### Inherited Members:

All known members inherited from class Gee.ArrayList

- @foreach
- @get
- @set
- add
- add_all
- bidir_list_iterator

- clear
- contains
- equal_func
- index_of
- insert
- iterator

- list_iterator
- read_only
- remove
- remove_at
- size
- slice

All known members inherited from class Gee.AbstractBidirList

- bidir_list_iterator

- read_only_view

All known members inherited from class Gee.AbstractList

- @get
- @set
- index_of

- insert
- list_iterator
- read_only_view

- remove_at
- slice

All known members inherited from class Gee.AbstractCollection

- @foreach
- add
- clear

- contains
- iterator
- read_only

- read_only_view
- remove
- size

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GLib.ListModel

- get_item
- get_item_type

- get_n_items
- get_object

- items_changed

All known members inherited from interface Gee.BidirList

- bidir_list_iterator

- read_only_view

All known members inherited from interface Gee.List

- @get
- @set
- empty
- first
- index_of

- insert
- insert_all
- last
- list_iterator

- read_only_view
- remove_at
- slice
- sort

All known members inherited from interface Gee.Traversable

- @foreach
- all_match
- any_match
- chop
- element_type
- filter

- first_match
- flat_map
- fold
- map
- max

- min
- order_by
- scan
- stream
- tee

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface Gee.Collection

- add
- add_all
- add_all_array
- add_all_iterator
- clear
- contains
- contains_all

- contains_all_array
- contains_all_iterator
- empty
- is_empty
- read_only
- read_only_view
- remove

- remove_all
- remove_all_array
- remove_all_iterator
- retain_all
- size
- to_array